Deeply API Documentation main logoDeeply API Documentation main logo textDeeply API Documentation main logo text
User GuideServer API Reference
Search...
k
LanguageENKO

© 2026 Deeply Inc.

Deeply Logo Icon

Deeply API Documentation

    Release Notes

    Quick Start

    API Quick Start Guide
    Authorization
    Rate Limit

    Architecture

    Overall Architecture
    Edge Server System

    Events

    Events
    Event Categories
    List Events
    GET
    Get An Event
    GET

    Composite Events

    Composite Events
    List Composite Events
    GET
    Get A Composite Event
    GET
    Listen Live Composite Events
    WebSocket

    Live Events

    Live Events
    Listen Live Events
    WebSocket

    Edges

    Edge Server
    List Edge Servers
    GET
    Get An Edge Server
    GET
    Update Edge Server
    PATCH

    Microphones

    Mic Device
    List Mic Devices
    GET
    Get A Mic Device
    GET
    Update Mic Device
    PATCH

    Auth

    Reissue Token
    GET
    1. Reference
    2. Mic Device
    3. Get A Mic Device

    Get A Mic Device

    Get information about a specific microphone device by its ID

    Last updated: November 11, 2026

    GET
    /api/v1/mics/{mic_id}

    Description

    API to retrieve detailed information about a specific microphone device by its ID. Refer to the Mic Device Object for more details.

    Authentication

    Access Token is required via Bearer token authentication. Refer to the Authentication section for more details.

    Path Parameters

    mic_id
    Required
    string
    Unique identifier of the microphone device

    Response

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    {
      "data": {
        "id": "string",
        "name": "string",
        "host": "string",
        "edge_id": "string",
        "status": "enum(active | inactive)",
        "thresholds": {
          "breathing_heavily": {
            "sound_level_ge": 65,
            "confidence": 0.8
          },
          "[event_category]": {
            "sound_level_ge": 65,
            "confidence": 0.8
          }
        },
        "location": {
          "latitude": -33.75,
          "longitude": 151.25
        },
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z"
      }
    }

    Request Examples

    Run In Postman
    1
    2
    3
    4
    5
    6
    7
    8
    const response = await fetch('http://{{EDGE_IP}}:8100/api/v1/mics/mic_123', {
      method: 'GET',
      headers: {
        "Authorization": "Bearer YOUR_ACCESS_TOKEN"
      }
    });
    
    const data = await response.json();
    List Mic Devices
    Update Mic Device
    DescriptionAuthenticationResponseRequest Examples